Skip to main content
GET
/
api
/
v1
/
github
/
installations
List GitHub installations
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/github/installations \
  --header 'Authorization: Bearer <token>'
{
  "has_more": true,
  "installations": [
    {
      "account_login": "<string>",
      "account_type": "User",
      "created_at": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "installation_id": 123,
      "status": "<string>",
      "total_repos": 123
    }
  ],
  "page": 123,
  "per_page": 123,
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication token

Query Parameters

page
integer
default:1

Page number

per_page
integer
default:30

Items per page (max 100)

Response

List of installations

has_more
boolean
required
installations
object[]
required
page
integer
required
per_page
integer
required
total
integer
required